GNATdoc.Documentation = {
  "label": "Mutexes.Mutex",
  "qualifier": "",
  "summary": [
  ],
  "description": [
    {
      "kind": "paragraph",
      "children": [
        {
          "kind": "span",
          "text": "A simple protected object used to implement a mutex. Counting behavior is\n"
        },
        {
          "kind": "span",
          "text": "not supported. The mutex may only be locked once before it is unlocked\n"
        },
        {
          "kind": "span",
          "text": "once.\n"
        }
      ]
    }
  ],
  "entities": [
    {
      "entities": [
        {
          "label": "Lock",
          "qualifier": "",
          "line": 24,
          "column": 15,
          "src": "srcs/mutexes.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 24,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "entry"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Lock",
                      "href": "docs/mutexes___mutex___spec.html#L24C15"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "("
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "owner",
                      "href": "docs/mutexes___mutex___spec.html#L24C21"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Task_Id"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":="
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Current_Task"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ")"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "Locks/acquires the mutex. The calling thread will block until the\n"
                },
                {
                  "kind": "span",
                  "text": "mutex is free. This must not be called by the caller again until it\n"
                },
                {
                  "kind": "span",
                  "text": "calls Unlock.\n"
                }
              ]
            }
          ],
          "parameters": [
            {
              "label": "owner",
              "line": 24,
              "column": 21,
              "type": {
                "label": "Task_Id"
              },
              "description": [
              ]
            }
          ]
        }
      ],
      "label": "Entries"
    },
    {
      "entities": [
        {
          "label": "Unlock",
          "qualifier": "",
          "line": 29,
          "column": 19,
          "src": "srcs/mutexes.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 29,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "procedure"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Unlock",
                      "href": "docs/mutexes___mutex___spec.html#L29C19"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "Immediately unlocks/releases the mutex. Only the thread that called\n"
                },
                {
                  "kind": "span",
                  "text": "Lock should call Unlock. Raises MUTEX_EXCEPTION if the lock is\n"
                },
                {
                  "kind": "span",
                  "text": "being used illegally.\n"
                }
              ]
            }
          ]
        }
      ],
      "label": "Subprograms"
    }
  ]
};