GNATdoc.Documentation = {
  "label": "Tiles.Libraries.Manager",
  "qualifier": "",
  "summary": [
  ],
  "description": [
  ],
  "entities": [
    {
      "entities": [
        {
          "label": "Finalize",
          "qualifier": "",
          "line": 27,
          "column": 15,
          "src": "srcs/tiles-libraries-manager.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 27,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "procedure"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Finalize",
                      "href": "docs/tiles__libraries__manager___spec.html#L27C15"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "Finalizes the tile library manager, releasing all references to tile\n"
                },
                {
                  "kind": "span",
                  "text": "libraries. No more libraries can be loaded or referenced with\n"
                },
                {
                  "kind": "span",
                  "text": "Load_Library after finalization. Libraries currently in use will be\n"
                },
                {
                  "kind": "span",
                  "text": "unloaded when no more references remain. Be sure to discard all library\n"
                },
                {
                  "kind": "span",
                  "text": "references before shutting down the application.\n"
                }
              ]
            }
          ]
        },
        {
          "label": "Initialize",
          "qualifier": "",
          "line": 14,
          "column": 15,
          "src": "srcs/tiles-libraries-manager.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 14,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "procedure"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Initialize",
                      "href": "docs/tiles__libraries__manager___spec.html#L14C15"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "("
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "display",
                      "href": "docs/tiles__libraries__manager___spec.html#L14C27"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "A_Allegro_Display",
                      "href": "docs/allegro__displays___spec.html#L17C10"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ")"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "Initializes the tile library manager. This must be called before any\n"
                },
                {
                  "kind": "span",
                  "text": "libraries can be loaded. If the application uses a display, provide it\n"
                },
                {
                  "kind": "span",
                  "text": "so image files can be converted to the proper color depth on load.\n"
                }
              ]
            }
          ],
          "parameters": [
            {
              "label": "display",
              "line": 14,
              "column": 27,
              "type": {
                "label": "Allegro.Displays.A_Allegro_Display",
                "docHref": "docs/allegro__displays___spec.html#L17C10"
              },
              "description": [
              ]
            }
          ]
        },
        {
          "label": "Load_Library",
          "qualifier": "",
          "line": 20,
          "column": 14,
          "src": "srcs/tiles-libraries-manager.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 20,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "function"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Load_Library",
                      "href": "docs/tiles__libraries__manager___spec.html#L20C14"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "("
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "name",
                      "href": "docs/tiles__libraries__manager___spec.html#L20C28"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "String"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "bitmaps",
                      "href": "docs/tiles__libraries__manager___spec.html#L20C43"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Boolean"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ")"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "return"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Library_Ptr",
                      "href": "docs/tiles__libraries___spec.html#L152C10"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "Synchronously loads a library by name. 'name' is the base filename of the\n"
                },
                {
                  "kind": "span",
                  "text": "library, not including path information or a file extension. If 'bitmaps'\n"
                },
                {
                  "kind": "span",
                  "text": "is True, all of the library's bitmaps will be loaded. Otherwise, just the\n"
                },
                {
                  "kind": "span",
                  "text": "tile information will be loaded. Returns null on error.\n"
                }
              ]
            }
          ],
          "parameters": [
            {
              "label": "name",
              "line": 20,
              "column": 28,
              "type": {
                "label": "String"
              },
              "description": [
              ]
            },
            {
              "label": "bitmaps",
              "line": 20,
              "column": 43,
              "type": {
                "label": "Boolean"
              },
              "description": [
              ]
            }
          ]
        }
      ],
      "label": "Subprograms"
    }
  ]
};